subroutine rk_sakamoti(x, max_i, r)
  use rkmod
  implicit none
  real(kind=dpkind),dimension(3),intent(in) :: x
  integer, intent(in) :: max_i
  real(kind=dpkind), dimension(max_i, 4),intent(out) :: r
  call calc(x, max_i, r)
end subroutine 

